<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.11
Name: Transportmethode
Description: Transportmethode
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519">
   <title>Transportmethode</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.11
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]
Item: (transportmethode)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]"
         id="d42e854-false-d1381e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]) &gt;= 1">(transportmethode): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]) &lt;= 1">(transportmethode): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.11
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]
Item: (transportmethode)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]"
         id="d42e870-false-d1398e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="string(@classCode) = ('OBS')">(transportmethode): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="string(@moodCode) = ('EVN')">(transportmethode): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']) &gt;= 1">(transportmethode): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']) &lt;= 1">(transportmethode): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:id) &lt;= 1">(transportmethode): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(transportmethode): Element hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(transportmethode): Element hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:text) &lt;= 1">(transportmethode): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(transportmethode): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(transportmethode): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:effectiveTime) &lt;= 1">(transportmethode): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.41-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(transportmethode): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.41-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.41-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(transportmethode): Element hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.41-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.11
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']
Item: (transportmethode)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']"
         id="d42e876-false-d1471e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(transportmethode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.11')">(transportmethode): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.11' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.11
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:id
Item: (transportmethode)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.11
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (transportmethode)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e883-false-d1494e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(transportmethode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="@nullFlavor or (@code='11459-5' and @codeSystem='2.16.840.1.113883.6.1')">(transportmethode): Der Elementinhalt MUSS einer von 'code '11459-5' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.11
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:text
Item: (transportmethode)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:text"
         id="d42e889-false-d1510e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(transportmethode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:reference) &gt;= 1">(transportmethode): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:reference) &lt;= 1">(transportmethode): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.11
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:text/hl7:reference
Item: (transportmethode)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:text/hl7:reference"
         id="d42e894-false-d1529e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(transportmethode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.11
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:statusCode[@code = 'completed']
Item: (transportmethode)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:statusCode[@code = 'completed']"
         id="d42e897-false-d1540e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(transportmethode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="@nullFlavor or (@code='completed')">(transportmethode): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.11
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:effectiveTime
Item: (transportmethode)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:effectiveTime"
         id="d42e902-false-d1556e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(transportmethode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:high) &gt;= 1">(transportmethode): Element hl7:high ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="count(hl7:high) &lt;= 1">(transportmethode): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.11
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:effectiveTime/hl7:high
Item: (transportmethode)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:effectiveTime/hl7:high"
         id="d42e907-false-d1575e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(transportmethode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="not(*)">(transportmethode): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.11
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.41-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (transportmethode)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]/hl7:value[concat(@code, @codeSystem) = doc('include/voc-1.2.276.0.76.11.41-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d42e910-false-d1591e0">
      <extends rule="CV"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CV')">(transportmethode): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CV" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.11-2024-08-13T114519.html"
              test="@nullFlavor or exists(doc('include/voc-1.2.276.0.76.11.41-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem]])">(transportmethode): Der Elementinhalt MUSS einer von '1.2.276.0.76.11.41 Transportmethode (DYNAMIC)' sein.</assert>
   </rule>
</pattern>
