<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.13
Name: Wiedervorstellung
Description: Wiedervorstellung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456">
   <title>Wiedervorstellung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]
Item: (wiedervorstellung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]
Item: (wiedervorstellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]"
         id="d42e971-false-d1807e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(wiedervorstellung): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']) &gt;= 1">(wiedervorstellung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']) &lt;= 1">(wiedervorstellung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="count(hl7:code[(@code = 'LA21590-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(wiedervorstellung): Element hl7:code[(@code = 'LA21590-7' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="count(hl7:code[(@code = 'LA21590-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(wiedervorstellung): Element hl7:code[(@code = 'LA21590-7' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(wiedervorstellung): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(wiedervorstellung): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(wiedervorstellung): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(wiedervorstellung): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]) &gt;= 1">(wiedervorstellung): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]) &lt;= 1">(wiedervorstellung): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]) &lt;= 1">(wiedervorstellung): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']
Item: (wiedervorstellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']"
         id="d42e975-false-d1876e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(wiedervorstellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.13')">(wiedervorstellung): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.13' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:code[(@code = 'LA21590-7' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (wiedervorstellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:code[(@code = 'LA21590-7' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e980-false-d1891e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(wiedervorstellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="@nullFlavor or (@code='LA21590-7' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Follow-up visit')">(wiedervorstellung): Der Elementinhalt MUSS einer von 'code 'LA21590-7' codeSystem '2.16.840.1.113883.6.1' displayName='Follow-up visit'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:title[not(@nullFlavor)]
Item: (wiedervorstellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:title[not(@nullFlavor)]"
         id="d42e985-false-d1907e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(wiedervorstellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="text()='Wiedervorstellung'">(wiedervorstellung): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Wiedervorstellung'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:text[not(@nullFlavor)]
Item: (wiedervorstellung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:text[not(@nullFlavor)]"
         id="d42e991-false-d1921e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(wiedervorstellung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]
Item: (wiedervorstellung)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.14']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="string(@typeCode) = ('COMP')">(wiedervorstellung): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(wiedervorstellung): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.13
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]
Item: (wiedervorstellung)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.13']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.15']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="string(@typeCode) = ('COMP')">(wiedervorstellung): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.13-2024-08-13T114456.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(wiedervorstellung): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
