<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.37
Name: Blutdruck systolisch
Description: Blutdruck systolisch
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356">
   <title>Blutdruck systolisch</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.37
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]
Item: (blutdruck-systolisch)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]"
         id="d42e2716-false-d28539e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]) &gt;= 1">(blutdruck-systolisch): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]) &lt;= 1">(blutdruck-systolisch): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.37
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]
Item: (blutdruck-systolisch)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]"
         id="d42e2730-false-d28556e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="string(@classCode) = ('OBS')">(blutdruck-systolisch): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="string(@moodCode) = ('EVN')">(blutdruck-systolisch): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']) &gt;= 1">(blutdruck-systolisch): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']) &lt;= 1">(blutdruck-systolisch): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:id) &lt;= 1">(blutdruck-systolisch): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:code[(@code = '271649006' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(blutdruck-systolisch): Element hl7:code[(@code = '271649006' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:code[(@code = '271649006' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(blutdruck-systolisch): Element hl7:code[(@code = '271649006' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:text) &lt;= 1">(blutdruck-systolisch): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(blutdruck-systolisch): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(blutdruck-systolisch): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:effectiveTime) = 0">(blutdruck-systolisch): Element hl7:effectiveTime DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:value) &gt;= 1">(blutdruck-systolisch): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:value) &lt;= 1">(blutdruck-systolisch): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.37
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']
Item: (blutdruck-systolisch)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']"
         id="d42e2736-false-d28626e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(blutdruck-systolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.37')">(blutdruck-systolisch): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.37' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.37
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:id
Item: (blutdruck-systolisch)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.37
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:code[(@code = '271649006' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (blutdruck-systolisch)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:code[(@code = '271649006' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e2743-false-d28649e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(blutdruck-systolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="@nullFlavor or (@code='271649006' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Systolic blood pressure (observable entity)')">(blutdruck-systolisch): Der Elementinhalt MUSS einer von 'code '271649006' codeSystem '2.16.840.1.113883.6.96' displayName='Systolic blood pressure (observable entity)'' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:translation[(@code = '8480-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(blutdruck-systolisch): Element hl7:translation[(@code = '8480-6' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:translation[(@code = '8480-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(blutdruck-systolisch): Element hl7:translation[(@code = '8480-6' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.37
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:code[(@code = '271649006' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '8480-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (blutdruck-systolisch)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:code[(@code = '271649006' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '8480-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e2747-false-d28675e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(blutdruck-systolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="@nullFlavor or (@code='8480-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Systolic blood pressure')">(blutdruck-systolisch): Der Elementinhalt MUSS einer von 'code '8480-6' codeSystem '2.16.840.1.113883.6.1' displayName='Systolic blood pressure'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.37
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:text
Item: (blutdruck-systolisch)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:text"
         id="d42e2754-false-d28691e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(blutdruck-systolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:reference) &gt;= 1">(blutdruck-systolisch): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="count(hl7:reference) &lt;= 1">(blutdruck-systolisch): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.37
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:text/hl7:reference
Item: (blutdruck-systolisch)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:text/hl7:reference"
         id="d42e2759-false-d28710e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(blutdruck-systolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.37
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:statusCode[@code = 'completed']
Item: (blutdruck-systolisch)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:statusCode[@code = 'completed']"
         id="d42e2762-false-d28721e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(blutdruck-systolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="@nullFlavor or (@code='completed')">(blutdruck-systolisch): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.37
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:effectiveTime
Item: (blutdruck-systolisch)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.37
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:value
Item: (blutdruck-systolisch)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.37']]/hl7:value"
         id="d42e2769-false-d28745e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(blutdruck-systolisch): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="(@nullFlavor or (@unit='mm[Hg]'))">(blutdruck-systolisch): value MUSS die Einheit 'mm[Hg]' nutzen </assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(blutdruck-systolisch): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.37-2024-08-14T101356.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(blutdruck-systolisch): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
