<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.42
Name: Glasgow Coma Scale
Description: Glasgow Coma Scale (GCS)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734">
   <title>Glasgow Coma Scale</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]
Item: (GlasgowComaScale)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]"
         id="d42e3125-false-d29742e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@classCode) = ('OBS')">(GlasgowComaScale): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@moodCode) = ('EVN')">(GlasgowComaScale): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']) &gt;= 1">(GlasgowComaScale): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']) &lt;= 1">(GlasgowComaScale): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:id) &lt;= 1">(GlasgowComaScale): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:code[(@code = '248241002' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(GlasgowComaScale): Element hl7:code[(@code = '248241002' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:code[(@code = '248241002' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(GlasgowComaScale): Element hl7:code[(@code = '248241002' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:text) &lt;= 1">(GlasgowComaScale): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(GlasgowComaScale): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(GlasgowComaScale): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:effectiveTime) &gt;= 1">(GlasgowComaScale): Element hl7:effectiveTime ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:effectiveTime) &lt;= 1">(GlasgowComaScale): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:value) &gt;= 1">(GlasgowComaScale): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:value) &lt;= 1">(GlasgowComaScale): Element hl7:value kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']) &lt;= 1">(GlasgowComaScale): Element hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']) &lt;= 1">(GlasgowComaScale): Element hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']) &lt;= 1">(GlasgowComaScale): Element hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']"
         id="d42e3131-false-d29826e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.42')">(GlasgowComaScale): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.42' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:id
Item: (GlasgowComaScale)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:code[(@code = '248241002' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:code[(@code = '248241002' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e3138-false-d29849e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='248241002' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Glasgow coma score (observable entity)')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code '248241002' codeSystem '2.16.840.1.113883.6.96' displayName='Glasgow coma score (observable entity)'' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:translation[(@code = '9269-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(GlasgowComaScale): Element hl7:translation[(@code = '9269-2' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:translation[(@code = '9269-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(GlasgowComaScale): Element hl7:translation[(@code = '9269-2' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:code[(@code = '248241002' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '9269-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:code[(@code = '248241002' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '9269-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3142-false-d29875e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='9269-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Glasgow coma score total')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code '9269-2' codeSystem '2.16.840.1.113883.6.1' displayName='Glasgow coma score total'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:text
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:text"
         id="d42e3149-false-d29891e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:reference) &gt;= 1">(GlasgowComaScale): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:reference) &lt;= 1">(GlasgowComaScale): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:text/hl7:reference
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:text/hl7:reference"
         id="d42e3154-false-d29910e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:statusCode[@code = 'completed']
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:statusCode[@code = 'completed']"
         id="d42e3157-false-d29921e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='completed')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:effectiveTime
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:effectiveTime"
         id="d42e3162-false-d29937e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="not(*)">(GlasgowComaScale): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:value
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:value"
         id="d42e3164-false-d29950e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="(@nullFlavor or (number(@value)&gt;=3 and number(@value)&lt;=15))">(GlasgowComaScale): value MUSS im Bereich [3..15] liegen  </assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(GlasgowComaScale): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(GlasgowComaScale): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@value">(GlasgowComaScale): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@unit) = ('{score}')">(GlasgowComaScale): Der Wert von unit MUSS '{score}' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']"
         id="d42e3177-false-d29974e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@typeCode) = ('COMP')">(GlasgowComaScale): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@contextConductionInd) = ('true')">(GlasgowComaScale): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]) &gt;= 1">(GlasgowComaScale): Element hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]) &lt;= 1">(GlasgowComaScale): Element hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']/hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']/hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]"
         id="d42e3186-false-d30000e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@classCode) = ('OBS')">(GlasgowComaScale): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@moodCode) = ('EVN')">(GlasgowComaScale): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(GlasgowComaScale): Element hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(GlasgowComaScale): Element hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(GlasgowComaScale): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(GlasgowComaScale): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:effectiveTime) = 0">(GlasgowComaScale): Element hl7:effectiveTime DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:value) &gt;= 1">(GlasgowComaScale): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:value) &lt;= 1">(GlasgowComaScale): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']/hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']/hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e3192-false-d30049e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='281395000' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Glasgow Coma Score eye opening subscore (observable entity)')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code '281395000' codeSystem '2.16.840.1.113883.6.96' displayName='Glasgow Coma Score eye opening subscore (observable entity)'' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:translation[(@code = '9267-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(GlasgowComaScale): Element hl7:translation[(@code = '9267-6' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:translation[(@code = '9267-6' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(GlasgowComaScale): Element hl7:translation[(@code = '9267-6' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']/hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '9267-6' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']/hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '9267-6' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3196-false-d30075e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='9267-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Glasgow coma score eye opening')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code '9267-6' codeSystem '2.16.840.1.113883.6.1' displayName='Glasgow coma score eye opening'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']/hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:statusCode[@code = 'completed']
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']/hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:statusCode[@code = 'completed']"
         id="d42e3202-false-d30092e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='completed')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']/hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:effectiveTime
Item: (GlasgowComaScale)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']/hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281395000']/hl7:observation[hl7:code[(@code = '281395000' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value"
         id="d42e3210-false-d30116e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="(@nullFlavor or (number(@value)&gt;=1 and number(@value)&lt;=4))">(GlasgowComaScale): value MUSS im Bereich [1..4] liegen  </assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(GlasgowComaScale): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(GlasgowComaScale): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@value">(GlasgowComaScale): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@unit) = ('{score}')">(GlasgowComaScale): Der Wert von unit MUSS '{score}' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']"
         id="d42e3225-false-d30140e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@typeCode) = ('COMP')">(GlasgowComaScale): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@contextConductionInd) = ('true')">(GlasgowComaScale): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]) &gt;= 1">(GlasgowComaScale): Element hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]) &lt;= 1">(GlasgowComaScale): Element hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']/hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']/hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]"
         id="d42e3234-false-d30166e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@classCode) = ('OBS')">(GlasgowComaScale): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@moodCode) = ('EVN')">(GlasgowComaScale): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(GlasgowComaScale): Element hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(GlasgowComaScale): Element hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(GlasgowComaScale): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(GlasgowComaScale): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:effectiveTime) = 0">(GlasgowComaScale): Element hl7:effectiveTime DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:value) &gt;= 1">(GlasgowComaScale): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:value) &lt;= 1">(GlasgowComaScale): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']/hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']/hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e3240-false-d30215e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='281397008' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Glasgow Coma Scale verbal response subscore (observable entity)')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code '281397008' codeSystem '2.16.840.1.113883.6.96' displayName='Glasgow Coma Scale verbal response subscore (observable entity)'' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:translation[(@code = '9270-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(GlasgowComaScale): Element hl7:translation[(@code = '9270-0' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:translation[(@code = '9270-0' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(GlasgowComaScale): Element hl7:translation[(@code = '9270-0' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']/hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '9270-0' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']/hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '9270-0' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3244-false-d30241e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='9270-0' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Glasgow coma score verbal')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code '9270-0' codeSystem '2.16.840.1.113883.6.1' displayName='Glasgow coma score verbal'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']/hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:statusCode[@code = 'completed']
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']/hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:statusCode[@code = 'completed']"
         id="d42e3250-false-d30258e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='completed')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']/hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:effectiveTime
Item: (GlasgowComaScale)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']/hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281397008']/hl7:observation[hl7:code[(@code = '281397008' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value"
         id="d42e3258-false-d30282e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="(@nullFlavor or (number(@value)&gt;=1 and number(@value)&lt;=5))">(GlasgowComaScale): value MUSS im Bereich [1..5] liegen  </assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(GlasgowComaScale): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(GlasgowComaScale): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@value">(GlasgowComaScale): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@unit) = ('{score}')">(GlasgowComaScale): Der Wert von unit MUSS '{score}' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']"
         id="d42e3274-false-d30306e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@typeCode) = ('COMP')">(GlasgowComaScale): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@contextConductionInd) = ('true')">(GlasgowComaScale): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]) &gt;= 1">(GlasgowComaScale): Element hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]) &lt;= 1">(GlasgowComaScale): Element hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']/hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']/hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]"
         id="d42e3283-false-d30332e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@classCode) = ('OBS')">(GlasgowComaScale): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@moodCode) = ('EVN')">(GlasgowComaScale): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(GlasgowComaScale): Element hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(GlasgowComaScale): Element hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(GlasgowComaScale): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(GlasgowComaScale): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:effectiveTime) = 0">(GlasgowComaScale): Element hl7:effectiveTime DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:value) &gt;= 1">(GlasgowComaScale): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:value) &lt;= 1">(GlasgowComaScale): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']/hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']/hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e3289-false-d30381e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='281396004' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Glasgow Coma Scale motor response subscore (observable entity)')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code '281396004' codeSystem '2.16.840.1.113883.6.96' displayName='Glasgow Coma Scale motor response subscore (observable entity)'' sein.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:translation[(@code = '9268-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(GlasgowComaScale): Element hl7:translation[(@code = '9268-4' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="count(hl7:translation[(@code = '9268-4' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(GlasgowComaScale): Element hl7:translation[(@code = '9268-4' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']/hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '9268-4' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']/hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]/hl7:translation[(@code = '9268-4' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e3293-false-d30407e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='9268-4' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Glasgow coma score motor')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code '9268-4' codeSystem '2.16.840.1.113883.6.1' displayName='Glasgow coma score motor'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']/hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:statusCode[@code = 'completed']
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']/hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:statusCode[@code = 'completed']"
         id="d42e3299-false-d30424e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@nullFlavor or (@code='completed')">(GlasgowComaScale): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']/hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:effectiveTime
Item: (GlasgowComaScale)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.42
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']/hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value
Item: (GlasgowComaScale)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.42']]/hl7:entryRelationship[hl7:observation/hl7:code/@code='281396004']/hl7:observation[hl7:code[(@code = '281396004' and @codeSystem = '2.16.840.1.113883.6.96')]]/hl7:value"
         id="d42e3307-false-d30448e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(GlasgowComaScale): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="(@nullFlavor or (number(@value)&gt;=1 and number(@value)&lt;=6))">(GlasgowComaScale): value MUSS im Bereich [1..6] liegen  </assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(GlasgowComaScale): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(GlasgowComaScale): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="@value">(GlasgowComaScale): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.42-2024-08-14T105734.html"
              test="string(@unit) = ('{score}')">(GlasgowComaScale): Der Wert von unit MUSS '{score}' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
