<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.46
Name: Laboruntersuchung angefordert
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Wurde eine Laboruntersuchung angefordert?
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000">
   <title>Laboruntersuchung angefordert</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.46
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]
Item: (laboruntersuchung_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]"
         id="d42e3474-false-d31131e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]) &gt;= 1">(laboruntersuchung_angefordert): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]) &lt;= 1">(laboruntersuchung_angefordert): Element hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.46
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]
Item: (laboruntersuchung_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]"
         id="d42e3485-false-d31148e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="string(@classCode) = ('PROC')">(laboruntersuchung_angefordert): Der Wert von classCode MUSS 'PROC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="string(@moodCode) = ('RQO')">(laboruntersuchung_angefordert): Der Wert von moodCode MUSS 'RQO' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="@negationInd">(laboruntersuchung_angefordert): Attribut @negationInd MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']) &gt;= 1">(laboruntersuchung_angefordert): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']) &lt;= 1">(laboruntersuchung_angefordert): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '15220000' and @codeSystem = '2.16.840.1.113883.6.96')]) &gt;= 1">(laboruntersuchung_angefordert): Element hl7:code[(@code = '15220000' and @codeSystem = '2.16.840.1.113883.6.96')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:code[(@code = '15220000' and @codeSystem = '2.16.840.1.113883.6.96')]) &lt;= 1">(laboruntersuchung_angefordert): Element hl7:code[(@code = '15220000' and @codeSystem = '2.16.840.1.113883.6.96')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(laboruntersuchung_angefordert): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(laboruntersuchung_angefordert): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(laboruntersuchung_angefordert): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(laboruntersuchung_angefordert): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.46
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']
Item: (laboruntersuchung_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']"
         id="d42e3497-false-d31207e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(laboruntersuchung_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.46')">(laboruntersuchung_angefordert): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.46' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.46
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:code[(@code = '15220000' and @codeSystem = '2.16.840.1.113883.6.96')]
Item: (laboruntersuchung_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:code[(@code = '15220000' and @codeSystem = '2.16.840.1.113883.6.96')]"
         id="d42e3502-false-d31222e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(laboruntersuchung_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="@nullFlavor or (@code='15220000' and @codeSystem='2.16.840.1.113883.6.96' and @displayName='Laboratory test (procedure)')">(laboruntersuchung_angefordert): Der Elementinhalt MUSS einer von 'code '15220000' codeSystem '2.16.840.1.113883.6.96' displayName='Laboratory test (procedure)'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.46
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:text
Item: (laboruntersuchung_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:text"
         id="d42e3508-false-d31238e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(laboruntersuchung_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(laboruntersuchung_angefordert): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(laboruntersuchung_angefordert): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.46
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:text/hl7:reference
Item: (laboruntersuchung_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:text/hl7:reference"
         id="d42e3513-false-d31257e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(laboruntersuchung_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.46
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:statusCode[@code = 'completed']
Item: (laboruntersuchung_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:statusCode[@code = 'completed']"
         id="d42e3516-false-d31268e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(laboruntersuchung_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(laboruntersuchung_angefordert): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.46
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:effectiveTime
Item: (laboruntersuchung_angefordert)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]/hl7:effectiveTime"
         id="d42e3521-false-d31284e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(laboruntersuchung_angefordert): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.46-2024-05-24T000000.html"
              test="not(*)">(laboruntersuchung_angefordert): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
</pattern>
