<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.7
Name: Demografische Informationen
Description: Demografic information section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617">
   <title>Demografische Informationen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]
Item: (demografische-informationen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]
Item: (demografische-informationen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]"
         id="d42e5159-false-d35962e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(demografische-informationen): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']) &gt;= 1">(demografische-informationen): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']) &lt;= 1">(demografische-informationen): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:code[(@code = '45970-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(demografische-informationen): Element hl7:code[(@code = '45970-1' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:code[(@code = '45970-1' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(demografische-informationen): Element hl7:code[(@code = '45970-1' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(demografische-informationen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(demografische-informationen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(demografische-informationen): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(demografische-informationen): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.8']]]) &gt;= 1">(demografische-informationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.8']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.8']]]) &lt;= 1">(demografische-informationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.8']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.9']]]) &gt;= 1">(demografische-informationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.9']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.9']]]) &lt;= 1">(demografische-informationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.9']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']
Item: (demografische-informationen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']"
         id="d42e5161-false-d36030e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(demografische-informationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.7')">(demografische-informationen): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.7' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:code[(@code = '45970-1' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (demografische-informationen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:code[(@code = '45970-1' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e5163-false-d36045e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(demografische-informationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="@nullFlavor or (@code='45970-1' and @codeSystem='2.16.840.1.113883.6.1')">(demografische-informationen): Der Elementinhalt MUSS einer von 'code '45970-1' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:title[not(@nullFlavor)]
Item: (demografische-informationen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:title[not(@nullFlavor)]"
         id="d42e5165-false-d36061e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(demografische-informationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="text()='Demographische Informationen'">(demografische-informationen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Demographische Informationen'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:text[not(@nullFlavor)]
Item: (demografische-informationen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:text[not(@nullFlavor)]"
         id="d42e5168-false-d36075e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(demografische-informationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.8']]]
Item: (demografische-informationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.8']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="string(@typeCode) = ('COMP')">(demografische-informationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(demografische-informationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.7
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.9']]]
Item: (demografische-informationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.7']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.9']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="string(@typeCode) = ('COMP')">(demografische-informationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.7-2024-08-13T104617.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(demografische-informationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
