<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.71
Name: Verlegungs-/Entlassungsinformationen
Description: Verlegungs-/Entlassungsinformationen.
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815">
   <title>Verlegungs-/Entlassungsinformationen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.71
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]
Item: (verlegung-entlassung)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.71
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]
Item: (verlegung-entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]"
         id="d42e5482-false-d36596e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(verlegung-entlassung): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']) &gt;= 1">(verlegung-entlassung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']) &lt;= 1">(verlegung-entlassung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="count(hl7:code[(@code = '67661-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(verlegung-entlassung): Element hl7:code[(@code = '67661-9' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="count(hl7:code[(@code = '67661-9' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(verlegung-entlassung): Element hl7:code[(@code = '67661-9' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(verlegung-entlassung): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(verlegung-entlassung): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(verlegung-entlassung): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(verlegung-entlassung): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.72']]]) &lt;= 1">(verlegung-entlassung): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.72']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.71
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']
Item: (verlegung-entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']"
         id="d42e5486-false-d36653e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(verlegung-entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.71')">(verlegung-entlassung): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.71' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.71
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]/hl7:code[(@code = '67661-9' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (verlegung-entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]/hl7:code[(@code = '67661-9' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e5491-false-d36668e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(verlegung-entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="@nullFlavor or (@code='67661-9' and @codeSystem='2.16.840.1.113883.6.1')">(verlegung-entlassung): Der Elementinhalt MUSS einer von 'code '67661-9' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.71
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]/hl7:title[not(@nullFlavor)]
Item: (verlegung-entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]/hl7:title[not(@nullFlavor)]"
         id="d42e5496-false-d36684e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(verlegung-entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="text()='Verlegungs-/Entlassungsinformationen'">(verlegung-entlassung): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Verlegungs-/Entlassungsinformationen'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.71
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]/hl7:text[not(@nullFlavor)]
Item: (verlegung-entlassung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]/hl7:text[not(@nullFlavor)]"
         id="d42e5502-false-d36698e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(verlegung-entlassung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.71
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.72']]]
Item: (verlegung-entlassung)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.71']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.72']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(verlegung-entlassung): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.71-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(verlegung-entlassung): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
