<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.73
Name: Addendum Dokumentationsinformationen
Description: Addendum Dokumentationsinformationen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815">
   <title>Addendum Dokumentationsinformationen</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]
Item: (addendum-dokumentationsinformationen)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]
Item: (addendum-dokumentationsinformationen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]"
         id="d42e5609-false-d37135e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(addendum-dokumentationsinformationen): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']) &gt;= 1">(addendum-dokumentationsinformationen): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(addendum-dokumentationsinformationen): Element hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(addendum-dokumentationsinformationen): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(addendum-dokumentationsinformationen): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.76']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.76']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.77']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.77']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.80']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.80']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.82']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.82']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.84']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.84']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.85']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.85']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.86']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.86']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.87']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.87']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.88']]]) &lt;= 1">(addendum-dokumentationsinformationen): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.88']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']
Item: (addendum-dokumentationsinformationen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']"
         id="d42e5611-false-d37332e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(addendum-dokumentationsinformationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.73')">(addendum-dokumentationsinformationen): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.73' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (addendum-dokumentationsinformationen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:code[(@code = '55107-7' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e5613-false-d37347e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(addendum-dokumentationsinformationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="@nullFlavor or (@code='55107-7' and @codeSystem='2.16.840.1.113883.6.1')">(addendum-dokumentationsinformationen): Der Elementinhalt MUSS einer von 'code '55107-7' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:title[not(@nullFlavor)]
Item: (addendum-dokumentationsinformationen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:title[not(@nullFlavor)]"
         id="d42e5615-false-d37363e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(addendum-dokumentationsinformationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="text()='Addendum Dokumentationsinformationen'">(addendum-dokumentationsinformationen): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Addendum Dokumentationsinformationen'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:text[not(@nullFlavor)]
Item: (addendum-dokumentationsinformationen)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:text[not(@nullFlavor)]"
         id="d42e5618-false-d37377e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(addendum-dokumentationsinformationen): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.75']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.76']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.76']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.77']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.77']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.74']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.79']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.80']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.80']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.82']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.82']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.84']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.84']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.85']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.85']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.86']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.86']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.87']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.87']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.73
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.88']]]
Item: (addendum-dokumentationsinformationen)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.73']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.88']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@typeCode) = ('COMP')">(addendum-dokumentationsinformationen): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.73-2024-08-15T110815.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(addendum-dokumentationsinformationen): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
