<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.78
Name: Stunde Beginn patientenbezogene Dokumentation
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Volle Stunde, zu der die patientenbezogene Dokumentation begonnen wurde
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000">
   <title>Stunde Beginn patientenbezogene Dokumentation</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.78
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]
Item: (stunde_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]"
         id="d42e5860-false-d38521e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]) &gt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]) &lt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.78
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]
Item: (stunde_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]"
         id="d42e5871-false-d38538e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(stunde_beginn_patientenbezogene_dokumentation): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(stunde_beginn_patientenbezogene_dokumentation): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']) &gt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']) &lt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-127' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:code[(@code = 'FLN-127' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-127' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:code[(@code = 'FLN-127' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:value) &gt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:value) &lt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.78
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']
Item: (stunde_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']"
         id="d42e5877-false-d38602e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(stunde_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.78')">(stunde_beginn_patientenbezogene_dokumentation): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.78' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.78
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:code[(@code = 'FLN-127' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (stunde_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:code[(@code = 'FLN-127' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e5882-false-d38617e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(stunde_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-127' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='Stunde Beginn patientenbezogene Dokumentation')">(stunde_beginn_patientenbezogene_dokumentation): Der Elementinhalt MUSS einer von 'code 'FLN-127' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='Stunde Beginn patientenbezogene Dokumentation'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.78
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:text
Item: (stunde_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:text"
         id="d42e5887-false-d38633e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(stunde_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(stunde_beginn_patientenbezogene_dokumentation): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.78
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:text/hl7:reference
Item: (stunde_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:text/hl7:reference"
         id="d42e5892-false-d38652e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(stunde_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.78
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:statusCode[@code = 'completed']
Item: (stunde_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:statusCode[@code = 'completed']"
         id="d42e5896-false-d38663e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(stunde_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(stunde_beginn_patientenbezogene_dokumentation): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.78
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:effectiveTime
Item: (stunde_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:effectiveTime"
         id="d42e5901-false-d38679e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(stunde_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="not(*)">(stunde_beginn_patientenbezogene_dokumentation): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.78
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:value
Item: (stunde_beginn_patientenbezogene_dokumentation)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.78']]/hl7:value"
         id="d42e5903-false-d38692e0">
      <extends rule="INT"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'INT')">(stunde_beginn_patientenbezogene_dokumentation): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:INT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="(@nullFlavor or (number(@value)&gt;=0 and number(@value)&lt;=23))">(stunde_beginn_patientenbezogene_dokumentation): value MUSS im Bereich [0..23] liegen  </assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.78-2024-05-24T000000.html"
              test="not(@value) or matches(@value, '^-?[1-9]\d*$|^+?\d*$')">(stunde_beginn_patientenbezogene_dokumentation): @value ist keine gültige INT Zahl <value-of select="@value"/>
      </assert>
   </rule>
</pattern>
