<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.90
Name: Wildcard Therapie
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030">
   <title>Wildcard Therapie</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]
Item: (WildcardTherapie)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]"
         id="d42e6597-false-d41322e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="string(@classCode) = ('PROC')">(WildcardTherapie): Der Wert von classCode MUSS 'PROC' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="string(@moodCode) = ('EVN')">(WildcardTherapie): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(WildcardTherapie): Attribute @negationInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']) &gt;= 1">(WildcardTherapie): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']) &lt;= 1">(WildcardTherapie): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:id[not(@nullFlavor)]) &gt;= 1">(WildcardTherapie): Element hl7:id[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:code[not(@nullFlavor)]) &gt;= 1">(WildcardTherapie): Element hl7:code[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:code[not(@nullFlavor)]) &lt;= 1">(WildcardTherapie): Element hl7:code[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(WildcardTherapie): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(WildcardTherapie): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:effectiveTime[@xsi:type='IVL_TS'] | hl7:effectiveTime[@xsi:type='TS'])"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="$elmcount &lt;= 1">(WildcardTherapie): Auswahl (hl7:effectiveTime[@xsi:type='IVL_TS']  oder  hl7:effectiveTime[@xsi:type='TS']) enthält zu viele Elemente [max 1x]</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:effectiveTime[@xsi:type='IVL_TS']) &lt;= 1">(WildcardTherapie): Element hl7:effectiveTime[@xsi:type='IVL_TS'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:effectiveTime[@xsi:type='TS']) &lt;= 1">(WildcardTherapie): Element hl7:effectiveTime[@xsi:type='TS'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:reference[not(@nullFlavor)][hl7:externalDocument]) &gt;= 1">(WildcardTherapie): Element hl7:reference[not(@nullFlavor)][hl7:externalDocument] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:reference[not(@nullFlavor)][hl7:externalDocument]) &lt;= 1">(WildcardTherapie): Element hl7:reference[not(@nullFlavor)][hl7:externalDocument] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']"
         id="d42e6605-false-d41396e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(WildcardTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.90')">(WildcardTherapie): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.90' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:id[not(@nullFlavor)]
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:id[not(@nullFlavor)]"
         id="d42e6610-false-d41410e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(WildcardTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:code[not(@nullFlavor)]
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:code[not(@nullFlavor)]"
         id="d42e6613-false-d41420e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(WildcardTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:statusCode[@code = 'completed']
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:statusCode[@code = 'completed']"
         id="d42e6619-false-d41431e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(WildcardTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="@nullFlavor or (@code='completed')">(WildcardTherapie): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:effectiveTime[@xsi:type='IVL_TS']
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:effectiveTime[@xsi:type='IVL_TS']"
         id="d42e6626-false-d41445e0">
      <extends rule="IVL_TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'IVL_TS')">(WildcardTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:low) &lt;= 1">(WildcardTherapie): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:high) &lt;= 1">(WildcardTherapie): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:low
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:low"
         id="d42e6631-false-d41468e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(WildcardTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="not(*)">(WildcardTherapie): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:high
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:effectiveTime[@xsi:type='IVL_TS']/hl7:high"
         id="d42e6633-false-d41481e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(WildcardTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="not(*)">(WildcardTherapie): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:effectiveTime[@xsi:type='TS']
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:effectiveTime[@xsi:type='TS']"
         id="d42e6636-false-d41492e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(WildcardTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="not(*)">(WildcardTherapie): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]"
         id="d42e6639-false-d41505e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:externalDocument[not(@nullFlavor)]) &gt;= 1">(WildcardTherapie): Element hl7:externalDocument[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:externalDocument[not(@nullFlavor)]) &lt;= 1">(WildcardTherapie): Element hl7:externalDocument[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]"
         id="d42e6641-false-d41521e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(WildcardTherapie): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(WildcardTherapie): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:text[not(@nullFlavor)]
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:text[not(@nullFlavor)]"
         id="d42e6657-false-d41537e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(WildcardTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:reference[not(@nullFlavor)]) &gt;= 1">(WildcardTherapie): Element hl7:reference[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="count(hl7:reference[not(@nullFlavor)]) &lt;= 1">(WildcardTherapie): Element hl7:reference[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.90
Context: *[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]
Item: (WildcardTherapie)
-->

   <rule fpi="RULC-1"
         context="*[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]]/hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.90']]/hl7:reference[not(@nullFlavor)][hl7:externalDocument]/hl7:externalDocument[not(@nullFlavor)]/hl7:text[not(@nullFlavor)]/hl7:reference[not(@nullFlavor)]"
         id="d42e6659-false-d41556e0">
      <extends rule="URL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.90-2024-08-18T215030.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'URL')">(WildcardTherapie): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:URL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
</pattern>
