<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.10
Name: Transportmittel
Description: Transport method Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456">
   <title>Transportmittel</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.10
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]
Item: (transportmittel)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.10
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]
Item: (transportmittel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]"
         id="d42e815-false-d1205e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(transportmittel): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']) &gt;= 1">(transportmittel): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']) &lt;= 1">(transportmittel): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="count(hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(transportmittel): Element hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="count(hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(transportmittel): Element hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(transportmittel): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(transportmittel): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(transportmittel): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(transportmittel): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]) &gt;= 1">(transportmittel): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]) &lt;= 1">(transportmittel): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.12']]]) &lt;= 1">(transportmittel): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.12']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.10
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']
Item: (transportmittel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']"
         id="d42e819-false-d1274e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(transportmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.10')">(transportmittel): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.10' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.10
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (transportmittel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:code[(@code = '11459-5' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e824-false-d1289e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(transportmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="@nullFlavor or (@code='11459-5' and @codeSystem='2.16.840.1.113883.6.1')">(transportmittel): Der Elementinhalt MUSS einer von 'code '11459-5' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.10
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:title[not(@nullFlavor)]
Item: (transportmittel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:title[not(@nullFlavor)]"
         id="d42e829-false-d1305e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(transportmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="text()='Transportmittel'">(transportmittel): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Transportmittel'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.10
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:text[not(@nullFlavor)]
Item: (transportmittel)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:text[not(@nullFlavor)]"
         id="d42e835-false-d1319e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(transportmittel): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.10
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]
Item: (transportmittel)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.11']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="string(@typeCode) = ('COMP')">(transportmittel): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(transportmittel): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.10
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.12']]]
Item: (transportmittel)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.10']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.12']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="string(@typeCode) = ('COMP')">(transportmittel): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.10-2024-08-13T114456.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(transportmittel): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
