<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.27
Name: Notfallanamnese
Description: Notfallanamnese / relevante Eigenmedikation / körperliche Untersuchung Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201">
   <title>Notfallanamnese</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.27
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]
Item: (notfallanamnese-section)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.27
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]
Item: (notfallanamnese-section)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]"
         id="d42e1984-false-d25967e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(notfallanamnese-section): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']) &gt;= 1">(notfallanamnese-section): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']) &lt;= 1">(notfallanamnese-section): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="count(hl7:code[(@code = '10164-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(notfallanamnese-section): Element hl7:code[(@code = '10164-2' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="count(hl7:code[(@code = '10164-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(notfallanamnese-section): Element hl7:code[(@code = '10164-2' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(notfallanamnese-section): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(notfallanamnese-section): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(notfallanamnese-section): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(notfallanamnese-section): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4039']]]) &gt;= 1">(notfallanamnese-section): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4039']]] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4039']]]) &lt;= 1">(notfallanamnese-section): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4039']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="count(hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]) &lt;= 1">(notfallanamnese-section): Element hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.27
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']
Item: (notfallanamnese-section)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']"
         id="d42e1986-false-d26044e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(notfallanamnese-section): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.27')">(notfallanamnese-section): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.27' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.27
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:code[(@code = '10164-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (notfallanamnese-section)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:code[(@code = '10164-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e1988-false-d26059e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(notfallanamnese-section): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="@nullFlavor or (@code='10164-2' and @codeSystem='2.16.840.1.113883.6.1')">(notfallanamnese-section): Der Elementinhalt MUSS einer von 'code '10164-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.27
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:title[not(@nullFlavor)]
Item: (notfallanamnese-section)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:title[not(@nullFlavor)]"
         id="d42e1990-false-d26075e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(notfallanamnese-section): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="text()='Notfallanamnese'">(notfallanamnese-section): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Notfallanamnese'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.27
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:text[not(@nullFlavor)]
Item: (notfallanamnese-section)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:text[not(@nullFlavor)]"
         id="d42e1993-false-d26089e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(notfallanamnese-section): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.27
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4039']]]
Item: (notfallanamnese-section)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.10.4039']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="string(@typeCode) = ('COMP')">(notfallanamnese-section): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(notfallanamnese-section): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.27
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]
Item: (notfallanamnese-section)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.27']]/hl7:entry[hl7:act[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.28']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="string(@typeCode) = ('COMP')">(notfallanamnese-section): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.27-2024-08-13T182201.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(notfallanamnese-section): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
