<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.44
Name: Niedrigste GCS-Summe
Description: Die niedrigste GCS-Summe während der Dokumentation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000">
   <title>Niedrigste GCS-Summe</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.44
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]
Item: (niedrigste-gcs-summe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]"
         id="d42e3356-false-d30724e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]) &gt;= 1">(niedrigste-gcs-summe): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]) &lt;= 1">(niedrigste-gcs-summe): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.44
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]
Item: (niedrigste-gcs-summe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]"
         id="d42e3367-false-d30741e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(niedrigste-gcs-summe): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(niedrigste-gcs-summe): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']) &gt;= 1">(niedrigste-gcs-summe): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']) &lt;= 1">(niedrigste-gcs-summe): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-14' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(niedrigste-gcs-summe): Element hl7:code[(@code = 'FLN-14' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-14' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(niedrigste-gcs-summe): Element hl7:code[(@code = 'FLN-14' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(niedrigste-gcs-summe): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(niedrigste-gcs-summe): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(niedrigste-gcs-summe): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(niedrigste-gcs-summe): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:value) &gt;= 1">(niedrigste-gcs-summe): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:value) &lt;= 1">(niedrigste-gcs-summe): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.44
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']
Item: (niedrigste-gcs-summe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']"
         id="d42e3373-false-d30805e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(niedrigste-gcs-summe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.44')">(niedrigste-gcs-summe): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.44' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.44
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:code[(@code = 'FLN-14' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (niedrigste-gcs-summe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:code[(@code = 'FLN-14' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e3378-false-d30820e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(niedrigste-gcs-summe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-14' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='Die niedrigste GCS-Summe während der Dokumentation')">(niedrigste-gcs-summe): Der Elementinhalt MUSS einer von 'code 'FLN-14' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='Die niedrigste GCS-Summe während der Dokumentation'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.44
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:text
Item: (niedrigste-gcs-summe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:text"
         id="d42e3383-false-d30836e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(niedrigste-gcs-summe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(niedrigste-gcs-summe): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(niedrigste-gcs-summe): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.44
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:text/hl7:reference
Item: (niedrigste-gcs-summe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:text/hl7:reference"
         id="d42e3388-false-d30855e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(niedrigste-gcs-summe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.44
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:statusCode[@code = 'completed']
Item: (niedrigste-gcs-summe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:statusCode[@code = 'completed']"
         id="d42e3392-false-d30866e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(niedrigste-gcs-summe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(niedrigste-gcs-summe): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.44
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:effectiveTime
Item: (niedrigste-gcs-summe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:effectiveTime"
         id="d42e3397-false-d30882e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(niedrigste-gcs-summe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="not(*)">(niedrigste-gcs-summe): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.44
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:value
Item: (niedrigste-gcs-summe)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.44']]/hl7:value"
         id="d42e3399-false-d30895e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(niedrigste-gcs-summe): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="(@nullFlavor or (number(@value)&gt;=3 and number(@value)&lt;=15))">(niedrigste-gcs-summe): value MUSS im Bereich [3..15] liegen  </assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(niedrigste-gcs-summe): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(niedrigste-gcs-summe): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="@value">(niedrigste-gcs-summe): Attribut @value MUSS vorkommen.</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.44-2024-05-24T000000.html"
              test="string(@unit) = ('{score}')">(niedrigste-gcs-summe): Der Wert von unit MUSS '{score}' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
