<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.62
Name: Diagnostik
Description: Diagnostik Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422">
   <title>Diagnostik</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]
Item: (diagnostik)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]
Item: (diagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]"
         id="d42e4535-false-d34074e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(diagnostik): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']) &gt;= 1">(diagnostik): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']) &lt;= 1">(diagnostik): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(diagnostik): Element hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(diagnostik): Element hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:title[not(@nullFlavor)]) &gt;= 1">(diagnostik): Element hl7:title[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:title[not(@nullFlavor)]) &lt;= 1">(diagnostik): Element hl7:title[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:text[not(@nullFlavor)]) &gt;= 1">(diagnostik): Element hl7:text[not(@nullFlavor)] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:text[not(@nullFlavor)]) &lt;= 1">(diagnostik): Element hl7:text[not(@nullFlavor)] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.47']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.47']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.48']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.48']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.49']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.49']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.50']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.50']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.56']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.56']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.57']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.57']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.58']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.58']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.59']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.59']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.61']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.61']]] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.91']]]) &lt;= 1">(diagnostik): Element hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.91']]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']
Item: (diagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']"
         id="d42e4539-false-d34297e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(diagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.62')">(diagnostik): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.62' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (diagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:code[(@code = '30954-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e4544-false-d34312e0">
      <extends rule="CD"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CD')">(diagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CD" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="@nullFlavor or (@code='30954-2' and @codeSystem='2.16.840.1.113883.6.1')">(diagnostik): Der Elementinhalt MUSS einer von 'code '30954-2' codeSystem '2.16.840.1.113883.6.1'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:title[not(@nullFlavor)]
Item: (diagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:title[not(@nullFlavor)]"
         id="d42e4549-false-d34328e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ST')">(diagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="text()='Diagnostik'">(diagnostik): Der Elementinhalt von 'hl7:title[not(@nullFlavor)]' MUSS ''Diagnostik'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:text[not(@nullFlavor)]
Item: (diagnostik)
-->

   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:text[not(@nullFlavor)]"
         id="d42e4555-false-d34342e0">
      <extends rule="SD.TEXT"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'SD.TEXT')">(diagnostik): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:SD.TEXT" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.46']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.47']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.47']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.48']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.48']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.49']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.49']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.50']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.50']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.51']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.52']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.53']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.54']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.55']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.56']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.56']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.57']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.57']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.58']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.58']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.59']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.59']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.60']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.61']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:procedure[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.61']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.91']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.91']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.62
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]
Item: (diagnostik)
-->
   <rule fpi="RULC-1"
         context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.62']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.89']]]">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@typeCode) = ('COMP')">(diagnostik): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.62-2024-08-14T130422.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(diagnostik): Der Wert von contextConductionInd MUSS 'true' sein. Gefunden: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
