<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.81
Name: Zeit zwischen Aufnahme und erster Ersteinschätzung
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Zeit zwischen Aufnahme und erster Ersteinschätzung
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000">
   <title>Zeit zwischen Aufnahme und erster Ersteinschätzung</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.81
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]
Item: (zeit_zwischen_aufnahme_und_erster_ersteinschatzung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]"
         id="d42e6082-false-d39317e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]) &gt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]) &lt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.81
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]
Item: (zeit_zwischen_aufnahme_und_erster_ersteinschatzung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]"
         id="d42e6093-false-d39334e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']) &gt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']) &lt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-130' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:code[(@code = 'FLN-130' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-130' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:code[(@code = 'FLN-130' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:value) &gt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:value) &lt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.81
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']
Item: (zeit_zwischen_aufnahme_und_erster_ersteinschatzung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']"
         id="d42e6099-false-d39398e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.81')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.81' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.81
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:code[(@code = 'FLN-130' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (zeit_zwischen_aufnahme_und_erster_ersteinschatzung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:code[(@code = 'FLN-130' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e6104-false-d39413e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-130' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='Zeit zwischen Aufnahme und erster Ersteinschätzung')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Der Elementinhalt MUSS einer von 'code 'FLN-130' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='Zeit zwischen Aufnahme und erster Ersteinschätzung'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.81
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:text
Item: (zeit_zwischen_aufnahme_und_erster_ersteinschatzung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:text"
         id="d42e6109-false-d39429e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.81
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:text/hl7:reference
Item: (zeit_zwischen_aufnahme_und_erster_ersteinschatzung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:text/hl7:reference"
         id="d42e6114-false-d39448e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.81
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:statusCode[@code = 'completed']
Item: (zeit_zwischen_aufnahme_und_erster_ersteinschatzung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:statusCode[@code = 'completed']"
         id="d42e6118-false-d39459e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.81
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:effectiveTime
Item: (zeit_zwischen_aufnahme_und_erster_ersteinschatzung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:effectiveTime"
         id="d42e6123-false-d39475e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="not(*)">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.81
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:value
Item: (zeit_zwischen_aufnahme_und_erster_ersteinschatzung)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.81']]/hl7:value"
         id="d42e6125-false-d39488e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.81-2024-05-24T000000.html"
              test="string(@unit) = ('min')">(zeit_zwischen_aufnahme_und_erster_ersteinschatzung): Der Wert von unit MUSS 'min' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
