<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.3.1.195.10.83
Name: Zeit zwischen Aufnahme und Verlegungs-/Entlassungsfähigkeit des Patienten
Description: Abgeleitete Informationen über Diagnostik zur Weitergabe - Zeit zwischen Aufnahme und Verlegungs-/Entlassungsfähigkeit des Patienten
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000">
   <title>Zeit zwischen Aufnahme und Verlegungs-/Entlassungsfähigkeit des Patienten</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.83
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]
Item: (zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]"
         id="d42e6182-false-d39709e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]) &gt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]) &lt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.83
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]
Item: (zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]"
         id="d42e6193-false-d39726e0">
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="string(@classCode) = ('OBS')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Der Wert von classCode MUSS 'OBS' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="string(@moodCode) = ('EVN')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']) &gt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']) &lt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-132' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &gt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:code[(@code = 'FLN-132' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:code[(@code = 'FLN-132' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]) &lt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:code[(@code = 'FLN-132' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:text) &lt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:text kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &gt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:statusCode[@code = 'completed'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:statusCode[@code = 'completed']) &lt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:statusCode[@code = 'completed'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:value) &gt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:value ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:value) &lt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:value kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.83
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']
Item: (zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']"
         id="d42e6199-false-d39790e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'II')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.3.1.195.10.83')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Der Wert von root MUSS '1.2.276.0.76.3.1.195.10.83' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.83
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:code[(@code = 'FLN-132' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]
Item: (zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:code[(@code = 'FLN-132' and @codeSystem = '1.2.276.0.76.3.1.195.5.98')]"
         id="d42e6204-false-d39805e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CE')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="@nullFlavor or (@code='FLN-132' and @codeSystem='1.2.276.0.76.3.1.195.5.98' and @displayName='Zeit zwischen Aufnahme und Verlegungs-/Entlassungsfähigkeit des Patienten')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Der Elementinhalt MUSS einer von 'code 'FLN-132' codeSystem '1.2.276.0.76.3.1.195.5.98' displayName='Zeit zwischen Aufnahme und Verlegungs-/Entlassungsfähigkeit des Patienten'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.83
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:text
Item: (zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:text"
         id="d42e6209-false-d39821e0">
      <extends rule="ED"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'ED')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:reference) &gt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:reference ist required [min 1x].</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="count(hl7:reference) &lt;= 1">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Element hl7:reference kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.83
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:text/hl7:reference
Item: (zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:text/hl7:reference"
         id="d42e6214-false-d39840e0">
      <extends rule="TEL"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TEL')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.83
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:statusCode[@code = 'completed']
Item: (zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:statusCode[@code = 'completed']"
         id="d42e6218-false-d39851e0">
      <extends rule="CS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'CS')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="@nullFlavor or (@code='completed')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Der Elementinhalt MUSS einer von 'code 'completed'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.83
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:effectiveTime
Item: (zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:effectiveTime"
         id="d42e6223-false-d39867e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'TS')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="not(*)">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.3.1.195.10.83
Context: *[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:value
Item: (zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]]/hl7:observation[hl7:templateId[@root = '1.2.276.0.76.3.1.195.10.83']]/hl7:value"
         id="d42e6225-false-d39880e0">
      <extends rule="PQ"/>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="empty(@xsi:type) or resolve-QName(@xsi:type, .) = QName('urn:hl7-org:v3', 'PQ')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben. Gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="not(@value) or matches(@value, '^[-+]?\d*\.?[0-9]+([eE][-+]?\d+)?$')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): @value ist keine gültige PQ Zahl <value-of select="@value"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://aktin.art-decor.pub/aktin-html-20241118T205240/tmp-1.2.276.0.76.3.1.195.10.83-2024-05-24T000000.html"
              test="string(@unit) = ('min')">(zeit_zwischen_aufnahme_und_verlegungsentlassungsfahigkeit_des_patienten): Der Wert von unit MUSS 'min' sein. Gefunden: "<value-of select="@unit"/>"</assert>
   </rule>
</pattern>
